---
slug: hier-wird-gerade-etwas-umgebaut
title: Hier wird gerade etwas umgebaut…
authors: NickSlowinski
---

Meine Lösungen für die Serverinfrastruktur und verwendete Software war in meinen Augen verbesserungsfähig und deshalb wird hier aktuell etwas umgebaut. :slightly_smiling_face:

Das Forum sowie die Integration mit dem TeamSpeak Server ist weiterhin unter [forum.nick-slowinski.de](https://forum.nick-slowinski.de/) erreichbar und wird zu einem späteren Zeitpunkt überarbeitet. Die alte _"Startseite"_ ist in der Übergangsphase unter [wsc.nick-slowinski.de](https://wsc.nick-slowinski.de/) erreichbar, wird jedoch zu gegebener Zeit sich stark verändern.
<!-- truncate -->
:::note

Sehr viele Inhalte im Forum sind derzeitig versteckt und nur für die Autoren der Beiträge sichtbar.

:::

# Kommende Veränderungen
## Inhalte
Interessen und Prioritäten verändern sich im Laufe des Lebens, so auch bei mir. Damals hat alles als Gaming-Community angefangen, jedoch möchte ich nicht weiter diesen Weg beschreiten. Die Wahrheit ist, ich bin in den vergangenen Jahren so oft auf's Maul geflogen mit meinen Partnern, dass ich fremden Personen recht schwer Vertrauen schenke. Als reiner technischer Admin eines Clans hat das ganze ja auch nicht geklappt. #rudel-wot

Der Fokus wird mehr in die Richtung Entwicklung gehen und ich werde mehr Open Source Projekte veröffentlichen, sowie individuelle Anfragen wie zum Beispiel _"Kannst du mir einen Bot schreiben, der meine […] auf Twitter, […] und Telegram teilt, sowie diverse Informationen zu mir und meinen Kanälen bereitstellt?"_ entgegennehmen. Ich werde hin und wieder Einblicke hinter die Kulissen geben, interessante Feststellungen mit euch teilen, aber auch die ein oder andere Anleitung veröffentlichen.

Sämtliche Seiten werden mehrsprachig gestaltet, sodass jede Seite in Deutsch und Englisch verfügbar ist. Englisch ist schlichtweg weit verbreitet und so können mehr Personen von meinen Projekten profitieren.

Das ich diesen Weg nun beschreite, bedeutet aber nicht, dass ich den jetzigen Zustand in den Boden stampfe. Der TeamSpeak Server kann und wird weiterhin für alle weiter bestehen bleiben, egal ob sie sich gerade nur mit Freunden austauschen, zusammen etwas Spielen oder jemand etwas einer anderen Person beibringt.

## Software
### Docker (Containerisierung)
Statt Programme, wie zum Beispiel einen Webserver, direkt auf dem System zu installieren möchte ich demnächst **ALLES** in Docker Container verpacken, wenn es möglich ist. Ich sehe in der Containerisierung schlichtweg die Zukunft, da dies diverse Vorteile für mich bietet.
### Webserver
Zur Zeit ist [nginx](https://de.wikipedia.org/wiki/Nginx) mein bevorzugter Webserver, doch dies könnte sich demnächst ändern, denn  [Caddy v2](https://caddyserver.com/v2) ist vor kurzem als Stabile Version erschienen und scheint recht attraktiv für mich zu sein.
### Tschüss Woltlab Suite. Willkommen Hugo!
Bisher wurde die Webseite mit einem Content-Management-System ([Woltlab Suite](https://de.wikipedia.org/wiki/WoltLab_Burning_Board)) betrieben. Jede Veränderung an der Webseite bedeutete für mich, dass ich einen Internetzugang benötigte, auch wenn ich diese erst später Veröffentlichen möchte.

Mein bisheriger Ablauf, wenn ich etwas an der Webseite verändere:
1. Aufruf und Login auf der Webseite.
2. Klick dich durch die verschiedenen Menüs und bearbeite/erstell einen neuen Beitrag/Seite.
3. Schreib deine Veränderungen mit Hilfe eines [WYSIWYG-Editors](https://de.wikipedia.org/wiki/WYSIWYG).
4. Speichere deine Veränderungen und hoffe dass du dich nicht wegen Inaktivität neu einloggen musst.

[Hugo](https://de.wikipedia.org/wiki/Hugo_(Software)) allerdings ist ein statischer Websitegenerator, welcher Dateien in einer vereinfachten Auszeichnungssprache (in diesem Fall [Markdown](https://de.wikipedia.org/wiki/Markdown)) in fertige HTML-Dateien "übersetzt". Hugo liefert einige tolle Funktionen mit, weshalb ich zum Beispiel auch ohne Internetzugriff in einem Zug auf meinem Laptop an kommenden Artikeln arbeiten kann.

Der jetzige Skin ([LoveIt](https://hugoloveit.com/)) gefällt mir an sich schon sehr, jedoch werde ich an der ein oder anderen Stelle noch einmal Hand anlegen und diesen für mich abändern.

Neuer Veröffentlichungsablauf:
1. Ich schreibe im Texteditor meiner Wahl (Visual Studio Code) meinen Artikel.
2. Ich nutze [Git](https://de.wikipedia.org/wiki/Git) zur Versionsverwaltung und pushe (Hochladen) die Veränderungen auf [meinen Git-Server](https://git.nick-slowinski.de).
3. Mein [Drone](https://drone.io/)-Server baut eigentständig die Webseite neu und aktualisiert diese auf dem Webserver.

Vorteile und Anmerkungen des neuen Verfahrens (Auswahl):
* ich kann mit Markdown bereits umgehen, so wie (fast) jeder Entwickler
* Hugo hat einen eingebauten kleinen Webserver, weshalb ich mit meinem Laptop im Garten (ohne Internet) sitzen kann und trotzdem an kommenden Artikeln, Updates, Tutorials, etc. arbeiten kann
* es muss keine Datenbank abgerufen werden um mit [PHP](https://de.wikipedia.org/wiki/PHP) eine Antwort zu erstellen → Zeit- und Resourcenersparnis
* PHP wird nicht weiter benötigt für die Hauptseite → nochmals eine Zeit- und Resourcenersparnis, sowie bessere Sicherheit
* WYSIWYG-Editoren neigen dazu schlecht auf Smartphones zu funktionieren, Markdown Dateien können mit jedem Texteditor geschrieben werden
* mit Hugo kann individuell der Inahlt viel besser dargestellt werden, zum Beispiel [Grafiken](https://hugoloveit.com/theme-documentation-extended-shortcodes/#6-echarts)
* Hugo baut gesammte Webseiten in Sekundenbruchteilen