---
slug: 2021
title: Der Start in das Jahr 2021
description: Nachdem das Jahr 2020 nun doch endlich vergangen ist, möchte auch ich euch – den Lesern – einen Einblick in die Zukunft geben und auch Danke sagen.
authors: NickSlowinski
---

Nachdem das Jahr 2020 nun doch endlich vergangen ist, möchte auch ich euch – den Lesern – einen Einblick in die Zukunft geben und auch Danke sagen.

## Stolperstein 2020
Ein solches Jahr wird man nie vergessen… Viel ist in diesem Jahr passiert, jedoch hat es eher einen negativen Beigeschmack – egal ob Trennung, Verlust des Arbeitsplatzes oder ein anderer Rückschlag im Leben – ich habe vieles in meinem Umfeld erlebt. Ich glaube jeder stimmt mir zu, dass dieses Jahr wohl jeder in Erinnerung halten wird. Dennoch liest man aber diesen kleinen Blogeintrag, schaut auf das Datum und merkt, es geht ja doch weiter.

<!-- truncate -->

Auch bei mir gab es Veränderungen in diesem Jahr, darunter auch ein neuer Arbeitgeber. Nach diesen 3 Monaten kann ich echt nicht behaupten, dass ich diese Entscheidung im Leben bereue – die Arbeit macht wieder Spaß, es herrscht ein tolles Arbeitsklima und ich geh wieder gerne zur Arbeit.

Meine Server liefen die letzten Jahre nur auf dem Betriebssystem CentOS, genauer gesagt auf CentOS 8. Nun hat aber Red Hat, die Firma hinter dem Betriebssystem, [angekündigt](https://www.redhat.com/en/blog/centos-stream-building-innovative-future-enterprise-linux) CentOS 8 nicht wie geplant bis Ende 2029 zu unterstützen und zu pflegen, sondern nur noch bis Ende nächsten Jahres. :rage: [Einen direkten Nachfolger oder Ersatz für CentOS gibt es aktuell nicht – zumindest nicht für mein Einsatzgebiet](https://centos.rip/). Nur mal um euch zu bespaßen – meine Optionen die ich hab (als neues Betriebssystem):
1. [CentOS Stream](https://www.centos.org/centos-stream/): "Offizieller Nachfolger von CentOS" - unterstützt im jetzigen Zustand nicht die Software, die ich benötige + mein Hass auf die ganze Sache =  :thumbsdown:
2. [Red Hat Enterprise Linux](https://www.redhat.com/de/technologies/linux-platforms/enterprise-linux): Kosten von 350 USD pro Server pro Jahr => :thumbsdown: :thumbsdown: :thumbsdown:
3. [RockyLinux](https://rockylinux.org/de/): Perfekt, jedoch noch in Arbeit… :neutral_face:
4. [Unbuntu LTS](https://ubuntu.com/download/server): Hatte ich jahrelang verwendet, bis mir mal ein "zu neuer", unzureichend getesteter Kernel das System zerschossen hat (Kernel-Panic) => Halt mich lieber fern davon.
5. [Debian](https://www.debian.org/): Ist stabil und wird aktiv getestet bis Pakete in die Stable-Repos landen, etc. => :thumbsup: Wird erstmal verwendet.

## 2021 – ein Einblick
### Nicks Git-Service
Wahrscheinlich nicht für jedermann interessant, jedoch wird dieser Service in Zukunft das Herzstück meines Onlineangebotes seien. [Gitea](https://gitea.io/en-us/) kommt als Software zum Einsatz und erlaubt es mir zukünftig unabhängig von [Github.com](https://github.com/) oder [Gitlab.com](https://about.gitlab.com/) einen ähnlichen Service anbieten zu können, jedoch auf eigener Hardware mit mehr Freiheiten und geringeren Kosten. 

_Der Dienst wird für Open-Source Projekte und kleine "Bastelarbeiten" frei verfügbar sein._

### Drone – ein CI/CD Tool
Die Software [Drone](https://www.drone.io/) wird eng mit Gitea zusammenarbeiten und so den Build-Prozess automatisieren und Software-Testing für euch erleichtern.

_Ressourcen der Server sind nicht unbegrenzt, daher steht noch nicht fest, ob dieser Dienst für jeden verfügbar sein wird._

### TeamSpeak Revolution?
Ich würde von euch gerne euer Feedback zum aktuellen TeamSpeak Server haben wollen, schreibt mir bitte eure Wünsche und Kritik auf einen  direkten Weg und ich schau was sich machen lässt.

### Ein VPN-Server
Aus persönlichen Anlass werde ich einen VPN-Server auf der Basis von [Wireguard](https://www.wireguard.com/) in Zukunft betreiben. Wireguard ist eine sehr effiziente VPN-Software, sodass selbst ich fast meine gesamte Bandbreite von 1 GBit/s problemlos "durchgedrückt" bekomme.

_Dieser Dienst wird mit Sicherheit nur von mir und wenigen ausgewählten Leuten aus meinem Freundes- und Bekanntenkreises verfügbar sein._

### Ein neues Forum
Im Laufe des Jahres wird ein neues Forum auf Basis von [Discourse](https://www.discourse.org/) starten, der Login wird über meinen Git-Service stattfinden und als Community und Plauder-Treffpunkt Verwendung finden. Discourse bietet dabei auch Integrationen mit zum Beispiel Telegram, sodass man sich auf modernen Wegen auf dem Laufenden halten kann.

Des Weiteren wird dies der offizielle Weg sein um Support von mir zu erhalten, sei es Hilfe bei einem Dienst (siehe oben) von mir oder ein technisches Problem. Das Forum soll eine Anlaufstelle werden, wo einem geholfen wird, sei es bei einem technischen Problem oder gar eine kleine Informationssammlung für Spiele ("Wie geht was am besten in Spiel X") und Sammelort für andere kleine Tipps und Tricks.

## Danke
An dieser Stelle möchte ich **DANKE** an all diejenigen sagen, die jahrelang bereits an meiner Seite unterwegs sind und auch ein **DANKE** an alle Vollidioten mit denen ich ebenfalls zu tun hatte. Ohne den ein oder anderen hätte ich wahrscheinlich schon vor Ewigkeiten einen anderen Weg eingeschlagen und würde heute nicht hier stehen. Auch von den Vollidioten konnte ich einiges lernen, nämlich genauer hinzuschauen, wem man vertraut und wem man welche Rechte einräumt.

Ein besonderer Dank geht an:
* A.D.Performance
* Blacky82
* BooMakerone
* Dr.Schlaumixer
* GandalfGunShot
* ghosty
* Hinsane
* Luigi2Fast
* MiKa381
* Mystervolvo
* Rumblebee90
* SiberiaDevil
* SplinterXXL
* UncleBucket69
* wikinger2012
* Zerxi
* *Sowie an weitere Personen, die jedoch ihren eigenen Pfad mittlerweile beschreiten.*

*Diese Liste ist alphabetisch sortiert und spiegelt keine Rangfolge wider.*

## Euer Geschenk
Als Dankeschön erhalten die obigen aufgezählten Personen Vorabzugriff auf in Entwicklung befindliche Dienste und Programme, sowie (falls zutreffend) höhere Freiheiten (mehr Rechte, höhere Limits) und Support meinerseits, der über das Normalmaß hinausgeht. Das Hauptgeschenk ist ein E-Mail-Postfach mit 1 GB Speicher (auf Lebenszeit) – klingt nach nicht viel, jedoch betreibe ich auch keinen 08/15-Mailserver.

_Das wichtigste auf einem Blick_:
* 1 GB Speicherplatz für E-Mails (E-Mails werden in komprimierter und verschlüsselten Form gespeichert) mit einer festen "@nick-mail.de" Adresse (Erhöhung des Speicherplatzes auf Anfrage)
* unbegrenzte Anzahl an Alias-Adressen (weitere "@nick-mail.de"-Adressen)
* andere E-Mail Domains möglich (nehmt mit mir Kontakt auf)
* keine Werbung, weder im Web noch im Postfach
* Tagging von E-Mails
    * Eure Adresse lautet z. B. `bob@nick-mail.de` und es wird eine E-Mail an `bob+Facebook@nick-mail.de` geschickt, je nach Einstellung wird entweder
        * nichts unternommen;
        * der Betreff der E-Mail wird umgeschrieben in `[Facebook] Hier steht der originale Betreff` umgeschrieben;
        * die E-Mail in den Unterordner `Facebook` verschoben.
* Verschlüsselungsrichtlinie bestimmen
    * Bestimme selbst, ob die verschlüsselte Übertragung von ein- und/oder ausgehende E-Mails erzwungen wird oder nicht.
* Serverseitige Filterregeln
* Anpassbarer Spamfilter
    * Du kannst bestimmen ab welchen Spam-Wert eine E-Mail als Spam markiert wird (in den Spam verschoben wird), beziehungsweise ab wann eine E-Mail komplett abgelehnt wird.
    * Konfigurierbare White- und Blacklists
    * genauere Filterung als bei herkömmlichen Anbietern
* Quarantäne-System
    * Vom Spamfilter markierte oder abgelehnte E-Mails werden gespeichert und können nachträglich in einer sicheren Umgebung betrachtet und ausgewertet werden. Je nach Einstellung kann man auch über neue Einträge im Quarantäne-System benachrichtigt werden.
* ActiveSync, CardDav- und CalDav-Unterstützung
    * Noch nie war es einfacher E-Mails, Kontakte und Kalender zwischen mehreren Geräten zu Synchronisieren.
* temporäre E-Mail-Adressen
    * Es können zufällige E-Mail-Adressen generiert werden, welche zwischen einer Stunde und vier Wochen gültig sind. Sie können nur für den Erhalt von E-Mails verwendet werden und noch nicht abgelaufene Adressen können verlängert werden.
* Sync-Jobs
    * Mittels Sync-Jobs können E-Mails von anderen Postfächern abgerufen werden und in das aktuelle Postfach importiert werden. Man muss also nie wieder sein altes Postfach bei z.B. freenet abrufen. :wink:
    * **Hinweis**: Die Einrichtung der Sync-Jobs sollte nur mit meiner Anwesenheit und Überwachung stattfinden, da bei einer fehlerhaften Konfiguration Daten verloren gehen können.
* App-Passwörter
    * App-Passwörter sind alternative Passwörter für den E-Mail-Account, welche für den Zugriff über IMAP, POP3 und SMTP (regulärer Abruf von E-Mails) verwendet werden können, wenn man sein persönliches Passwort gerade nicht verwenden möchte (z. B. aus Sicherheitsgründen).

Die Verteilung der E-Mail-Accounts wird voraussichtlich am Nachmittag des 2021-01-01 beginnen.

Du hast weitere Fragen oder Bedenken? Du bist oben nicht aufgelistet, aber dennoch interessiert? Anfragen kostet nichts! Ein zeitlich begrenzter Demo-Account mit limitierten Ressourcen kann für Testzwecke jederzeit erstellt werden. Schreib mir einfach eine [E-Mail](mailto:nick@nick-slowinski.de), kontaktiere mich über [Telegram](https://t.me/NickSlowinski), im TeamSpeak (Nick1307) oder über einen anderen Weg.

Hab ich etwas vergessen zu erwähnen? Bestimmt. Aber dies wird man an einem anderen Tag erledigen können.