---
sidebar_position: 1

---

# Einleitung

Willkommen zur Dokumentation von nick-slowinski.de.

Wir hoffen, dass diese Dokumentation ein guter Einstieg bei Fragen und Problemen ist. Solltest du dennoch eine Frage oder ein Anliegen haben, kontaktiere uns einfach.

## Inhalte beitragen

Diese Dokumentation ist noch relativ neu und weist daher auch Lücken auf, jeder ist eingeladen an dieser Dokumentation mit zu wirken.

Der Quellcode dieser Dokumentation wird in meiner [Forge](https://forge.nick-slowinski.de/nick-slowinski.de/docs) verwaltet, ein Konto wird benötigt um Inhalte zu verfassen.

### Fehler melden

Um Fehler jeglicher Art zu melden kann ein Ticket im [Issuetracker](https://forge.nick-slowinski.de/nick-slowinski.de/docs/issues) meiner Forge erstellt werden. Bitte durchsucht den Issuetracker vor der Erstellung eines Tickets, um eine doppelte Meldung zu vermeiden. Dies ist die bevorzugte Variante der Fehlermeldung um eine schnelle Behebung und korrekte Anerkennung aller beteiligten Parteien zu gewährleisten.

Natürlich können Fehler ebenfalls über andere Kontaktwege gemeldet werden, allerdings kann es dabei zu einer langsamen Bearbeitung und fehlende Anerkennung kommen.

**Optional:** Wir sind natürlich sehr dankbar, wenn der/die Fehler(r) direkt von dir behoben wird. Lese bitte die folgenden Abschnitte um zu erfahren, wie du dies bewerkstelligen kannst.

### Inhalte verbessern

#### Inhalte schreiben

Inhalte die dringend eine Überarbeitung benötigen sind mit dem Tag [*"Hilfe benötigt!"*](../services/tags/hilfe-benotigt) gekennzeichnet, andere Beiträge sind unter Umständen ebenfalls verbesserungswürdig.

##### Bearbeitung in der Forge (für Anfänger geeignet)

1. Besuche die Forge, und [forke das Repository](https://forge.nick-slowinski.de/repo/fork/37).
2. Öffne den Fork und suche die entsprechende Datei die du bearbeiten möchtest.
3. Bearbeite die entsprechenden Stellen, indem du auf den Stift (oben rechts, unterhalb von *"Einstellungen"*) drückst.
4. Fülle die Commit-Infos aus und wähle *"Direkt in den Branch 'main' einchecken."* aus. Speichere deine Änderungen mit *"Änderungen committen"*.
5. Bei deinem ersten Beitrag: Füge deinen Namen in der Dateien `/docs/contributors.md` am Ende ein, verlinke dabei auf das Profil in der Forge. Beachte dabei die bestehende Formatierung.
6. Wenn du alle Dateien bearbeitet hast, kehre zum offiziellen Repository der Dokumentation zurück und [starte einen neuen Pull-Request](https://forge.nick-slowinski.de/nick-slowinski.de/docs/compare/main...main), wähle als Ziel `nick-slowinski.de:main` und als Quelle deine bearbeitete Branch aus deinem Repository (oftmals `<dein Benutzername>:main`)
7. Kontrolliere deine Änderungen und ergänze wichtige Informationen, erkläre dabei was du mit deinen Änderungen bezwecken möchtest. Wenn alles stimmt, starte den Pull-Request indem du auf *"Pull-Request erstellen"* drückst.
8. Frage Sie eine Review von *"nick-slowinski.de/Owners"* an, indem du in der rechten Spalte auf das Zahnrad neben *"Reviewer"* drückst.
9. Mindestens ein Reviewer wird sich deine Änderungen zeitnah anschauen und Feedback geben und wenn alles in Ordnung ist, deine Änderungen mergen.

##### Bearbeitung über Git (führ erfahrene Nutzer)

1. Besuche die Forge, und [forke das Repository](https://forge.nick-slowinski.de/repo/fork/37).
2. Clone deinen Fork auf deinen Computer
3. Bearbeite die entsprechenden Dateien und committe deine Änderungen.
4. Pushe deine Commits in deinen Fork.
5. Bei deinem ersten Beitrag: Füge deinen Namen in der Dateien `/docs/contributors.md` am Ende ein, verlinke dabei auf das Profil in der Forge. Beachte dabei die bestehende Formatierung.
6. Wenn du alle Dateien bearbeitet hast, kehre zum offiziellen Repository der Dokumentation zurück und [starte einen neuen Pull-Request](https://forge.nick-slowinski.de/nick-slowinski.de/docs/compare/main...main), wähle als Ziel `nick-slowinski.de:main` und als Quelle deine bearbeitete Branch aus deinem Repository (oftmals `<dein Benutzername>:main`)
7. Kontrolliere deine Änderungen und ergänze wichtige Informationen, erkläre dabei was du mit deinen Änderungen bezwecken möchtest. Wenn alles stimmt, starte den Pull-Request indem du auf *"Pull-Request erstellen"* drückst.
8. Frage Sie eine Review von *"nick-slowinski.de/Owners"* an, indem du in der rechten Spalte auf das Zahnrad neben *"Reviewer"* drückst.
9. Mindestens ein Reviewer wird sich deine Änderungen zeitnah anschauen und Feedback geben und wenn alles in Ordnung ist, deine Änderungen mergen.

#### Inhalte übersetzen

Die Mehrsprachigkeit ist momentan noch nicht eingerichtet, jedoch soll die Dokumentation (in Teilen) auch auf Englisch verfügbar sein. Andere Sprachen können mit Hilfe der Community ebenfalls bereitgestellt werden, jedoch dann ohne offiziellen Support.

Bis zur Einrichtung der Mehrsprachigkeit soll das Repository einfach geforkt werden und unterhalb der deutschen Version jeweils die englische Übersetzung angehängt werden. Sobald jemand an einer Übersetzung arbeiten möchte, kann die betreffende Person gerne ein Issue erstellen und mich auf seine/ihre Absichten aufklären. Es wird dann zeitnah mit der Einrichtung der Mehrsprachigkeit begonnen.

Alternativ kann natürlich selbstständig mit der Einrichtung der Mehrsprachigkeit begonnen werden. Beachtet dabei die [offizielle Dokumentation von Docusaurus](https://docusaurus.io/docs/i18n/introduction).